curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/monitoring/triggers/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Deletes an alert trigger from the load balancer’s underlying node. The node_id path parameter is the load balancer’s node_detail.node_id; the specific trigger is identified by the id (and zabbix_id) query parameters from the List Alert Triggers response.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Path parameter node_id.
Query Parameters
Section titled “Query Parameters”Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>Identifier of the alert to delete
Example
<TRIGGER_ID>Specifies the type of delete operation for the alert
Example
triggerZabbix alert identifier to delete
Example
<ZABBIX_ID>API key used to authenticate the delete alert request
Example
<API_KEY>The location identifier for the alert to delete.
Example
<LOCATION>The node ID the trigger is attached to (the load balancer’s node_detail.node_id).
Example
<NODE_ID>Responses
Section titled “Responses”Successful response
object
HTTP status code indicating the result of the delete operation
object
Error message returned by the Delete Alert operation
Human-readable confirmation that the alert was deleted
Example
{ "code": 200, "errors": "", "message": "Trigger was deleted successfully"}